% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cloud-functions.R
\name{gcs_dir}
\alias{gcs_dir}
\title{List bucket/folder/object}
\usage{
gcs_dir(path, delimiter = TRUE, billing_project = gcs_get_requester_pays())
}
\arguments{
\item{path}{The character path to a bucket/folder/file or
a FolderClass/FileClass object returned by `gcs_dir`.}

\item{delimiter}{Logical(1), whether to use `/` as a path
delimiter. If not, the path will be treated as the path to a
file even when it ends with `/`}

\item{billing_project}{logical(1) or character(1). If logical, 
whether users 
should pay the cost for accessing the data. The 
billing project is the project ID in `gcs_get_billing_project()`.
If character, it represents the project ID that will be charged
by Google.}
}
\value{
`FolderClass` object or a `FileClass` object
}
\description{
list objects in a bucket/folder or get the description of a file.
You can change the current direction via `[[` or `$` operator. `..`
can be used to go to the parent folder. For reducing the number of
request sent to the network, it is recommended to add a trailing
slash if the path is a folder.
}
\examples{

## List files in a bucket
## Equivalent: gcs_dir(path = "gs://genomics-public-data/")
gcs_dir(path = "genomics-public-data/")

## List files in a folder
gcs_dir(path = "genomics-public-data/clinvar/")

## List the information of a file
gcs_dir(path = "genomics-public-data/clinvar/README.txt")

}
